Skip to main content
GET
/
meetings
/meetings
curl --request GET \
  --url https://api.daily.co/v1/meetings \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 42,
  "data": [
    {
      "id": "aaaaaaaa-0000-0000-0000-000000000001",
      "room": "my-room",
      "start_time": 1774363859,
      "duration": 600,
      "ongoing": false,
      "max_participants": 1,
      "participants": [
        {
          "user_id": null,
          "participant_id": "bbbbbbbb-0000-0000-0000-000000000001",
          "user_name": "Alice",
          "join_time": 1774363859,
          "duration": 600
        }
      ]
    },
    {
      "id": "aaaaaaaa-0000-0000-0000-000000000002",
      "room": "my-room",
      "start_time": 1774283912,
      "duration": 187,
      "ongoing": false,
      "max_participants": 2,
      "participants": [
        {
          "user_id": null,
          "participant_id": "bbbbbbbb-0000-0000-0000-000000000002",
          "user_name": "Alice",
          "join_time": 1774283925,
          "duration": 174
        },
        {
          "user_id": null,
          "participant_id": "bbbbbbbb-0000-0000-0000-000000000003",
          "user_name": "Bob",
          "join_time": 1774283912,
          "duration": 179
        }
      ]
    },
    {
      "id": "aaaaaaaa-0000-0000-0000-000000000003",
      "room": "my-room",
      "start_time": 1773860661,
      "duration": 304,
      "ongoing": false,
      "max_participants": 2,
      "participants": [
        {
          "user_id": "cccccccc-0000-0000-0000-000000000001",
          "participant_id": "cccccccc-0000-0000-0000-000000000001",
          "user_name": "Pipecat Bot",
          "join_time": 1773860661,
          "duration": 296
        },
        {
          "user_id": null,
          "participant_id": "bbbbbbbb-0000-0000-0000-000000000004",
          "user_name": null,
          "join_time": 1773860662,
          "duration": 303
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

room
string
timeframe_start
integer<int32>
timeframe_end
integer<int32>
limit
integer<int32>
starting_after
string
ending_before
string
ongoing
boolean
no_participants
boolean

Response

200

total_count
integer

Total number of meetings matching the query.

data
object[]